# Kerstoefening:

Bootstrap is so 90s, daarom maken wij ons eigen framework.
Deze opdracht bestaat telkens uit twee delen:
- Het framework zelf (`bootsyntrap.js` en `bootsyntrap.css`).
- De documentatie op de `index.html` pagina.
Enkel de laatste versie van chrome/firefox moet ondersteund worden.

## Voorbereiding:
- Clone het repository `git clone https://git.fullstacksyntra.be/koeeckho/bootsyntrap.git`
- Maak je eigen branch aan `voornaam_achternaam`.
- Iedereen werkt in zijn/haar eigen branch.
- Commit en push regelmatig met duidelijke commit messages.

## FASE 1 - Formulieren:

### 1.1 CSS:
- Een formulier kan twee verschillende layouts hebben:
  - De labels staan boven het inputveld.
  - De labels staan naast het inputveld.
- Zorg ervoor de inputvelden gestijld worden (ook `checkboxes`, `radio-buttons`, `select` en `textarea`).
- Let op spacing en uitlijning.
- Vergeet ook de submit knop niet.
- Zorg ervoor dat alles responsive is.

### 1.2 JavaScript:
- Schrijf een script dat instaat voor formvalidatie:
  - Het script is deel van je framework.
  - Maak je script zo gebruiksvriendelijk mogelijk.
  - Ondersteun de volgende validaties 'out of the box':
    - required
    - email
    - min/max length (voor text)
    - min/max date (voor date)
    - min/max number (voor number)
  - Zorg ervoor dat er makkelijk validaties kunnen worden toegevoegd.
  - Maak de submit knop `disabled` zolang het script niet gevalideerd is.

### 1.3 Documentatie:
- Als ik `index.html` opendoe zou ik heel snel met je framework aan de slag moeten kunnen.
- Gebruik voorbeelden en overloop alle opties.
- Geef ook je documentatie een duidelijke layout die uiteraard responsive is.